REQUIRED: The theme uses the register_post_type() function, which is plugin-territory

I am developing a car rental theme, but I encountered a big problem, when I upload the theme I get the “REQUIRED: The theme uses the register_post_type() function, which is plugin-territory” the problem is that they won’t allow me to keep my custom post types in my functions.php file, and making a custom plugin and requiring with TGMPA is also forbidden,only plugins from the WordPress repository is allowed so I am really stuck in the middle. I am not sure If I have to upload the custom plugins to WordPress ORG because it is a theme specific plugin and not a general one. Thank you for your attention.

Read more here:: REQUIRED: The theme uses the register_post_type() function, which is plugin-territory

Leave a Reply

Your email address will not be published. Required fields are marked *